Bug 1734395 - postgis-2.5.1-1.fc31: postgis.sql.in:114: error: detected recursion whilst expanding macro "bool"
Summary: postgis-2.5.1-1.fc31: postgis.sql.in:114: error: detected recursion whilst ex...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: postgis
Version: 31
Hardware: ppc64le
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-30 12:35 UTC by Petr Pisar
Modified: 2020-03-02 17:18 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-02 17:18:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2019-07-30 12:35:27 UTC
postgis-2.5.1-1.fc31 fails to build in F31 on ppc64le:

BUILDSTDERR: gcc -Wall -Wmissing-prototypes -Wpointer-arith -Wdeclaration-after-statement -Wendif-labels -Wmissing-format-attribute -Wformat-security -fno-strict-aliasing -fwrapv -fexcess-precision=standard -Wno-format-truncation -Wno-stringop-truncation -O3 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mcpu=power8 -mtune=power8 -fasynchronous-unwind-tables -fstack-clash-protection -fPIC -I../liblwgeom -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mcpu=power8 -mtune=power8 -fasynchronous-unwind-tables -fstack-clash-protection -I../libpgcommon  -I/usr/include   -I/usr/include/libxml2     -fPIC -I. -I./ -postgis.sql.in:114: error: detected recursion whilst expanding macro "bool"
BUILDSTDERR:   114 |  RETURNS bool
BUILDSTDERR:       | 

This happens on ppc64le architecture only. A difference between passing and failing build root is at <https://apps.fedoraproject.org/koschei/build/6691932>.

An upgrade of postgresql-server-devel from 11.3-2.fc31 to 11.4-1.fc31 looks suspicious.

Comment 1 Ben Cotton 2019-08-13 17:06:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 18:52:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Sandro Mani 2020-03-02 17:18:35 UTC
There appears to have been a successful F31 build since: https://koji.fedoraproject.org/koji/buildinfo?buildID=1336713


Note You need to log in before you can comment on or make changes to this bug.